<?xml version="1.0" encoding="utf-8" ?>

<!-- Control Panel Configuration File 
     
     Currently supported Locales:
       LCID="0x0407" -> German (Germany) 
       
     For documentation see TUSBAudio_UserManual.pdf, section "Control Panel Customization".
-->
       
<ControlPanel FormatVersionMajor="2" FormatVersionMinor="1">
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <!-- GUID required to locate the driver DLL.
       IMORTANT: This GUID must be equal to the one specified in the 
       InterfaceGUID= statement in custom.ini. -->
  <DriverInterfaceGUID>{4D22DC90-AB37-4280-9554-BA1D08CE7C97}</DriverInterfaceGUID>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <Title>
    <Default>Shanling Audio Control Panel</Default>
		<Locale LCID="0x0407">Shanling Audio Control Panel</Locale>
  </Title>

	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <NotificationArea>

    <Enable>True</Enable>
    <!-- .................................................................. -->
    <MenuEntryShow>
      <Default>Show</Default>      
      <Locale LCID="0x0407">Anzeigen</Locale>
    </MenuEntryShow>
    <MenuEntryExit>
      <Default>Exit</Default>
      <Locale LCID="0x0407">Beenden</Locale>
    </MenuEntryExit>
  </NotificationArea>

<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageStatus>
    <Title>
      <Default>Status</Default>
    </Title>
    <!-- .................................................................. -->
    <GroupBoxDeviceList>
      <Title>
        <Default>USB Audio Device</Default>
        <Locale LCID="0x0407">USB Audio Gerät</Locale>
      </Title>
      <ComboBoxDeviceList>
        <EntryNoDevice>
          <Default>No devices connected.</Default>
          <Locale LCID="0x0407">Kein Gerät verbunden.</Locale>
        </EntryNoDevice>
        <EntrySelectDevice>
          <Default>Please select a device.</Default>
          <Locale LCID="0x0407">Bitte wählen Sie ein Gerät aus.</Locale>
        </EntrySelectDevice>
      </ComboBoxDeviceList>
    </GroupBoxDeviceList>    
    <!-- .................................................................. -->
    <GroupBoxSampleRate>
      <Title>
        <Default>Current Sample Rate</Default>
        <Locale LCID="0x0407">Aktuelle Abtastrate</Locale>
      </Title>
    </GroupBoxSampleRate>
  </PageStatus>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageStreamFormats>
    <!-- Supported values for this page: Hidden, Visible, Auto (default) -->
    <Visibility>Auto</Visibility>    
    <!-- .................................................................. -->
    <Title>
      <Default>Format</Default>
      <Locale LCID="0x0407">Format</Locale>
    </Title>
    <!-- .................................................................. -->
    <FormatDescription>
      <Channels>
        <!-- Hint for translators: '%u' is a placeholder for a numeric value, that may not be translated!-->
        <Default>%u channels</Default>
        <Locale LCID="0x0407">%u Kanäle</Locale>
      </Channels>
      <Bits>
        <!-- Hint for translators: '%u' is a placeholder for a numeric value, that may not be translated!-->
        <Default>%u bits</Default>
        <Locale LCID="0x0407">%u Bits</Locale>
      </Bits>
    </FormatDescription>
    <!-- .................................................................. -->    
    <GroupBoxInputStreamFormats>
      <Title>
        <Default>Input</Default>
        <Locale LCID="0x0407">Eingang</Locale>
      </Title>
    </GroupBoxInputStreamFormats>
    <!-- .................................................................. -->
    <GroupBoxOutputStreamFormats>
      <Title>
        <Default>Output</Default>
        <Locale LCID="0x0407">Ausgang</Locale>
      </Title>
    </GroupBoxOutputStreamFormats>
  </PageStreamFormats>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageClockSource>
    <!-- Supported values for this page: Hidden, Visible, Auto (default) -->
    <Visibility>Auto</Visibility>
    <!-- .................................................................. -->
    <Title>
      <Default>Clock Source</Default>
      <Locale LCID="0x0407">Taktquelle</Locale>
    </Title>
    <!-- .................................................................. -->
    <TableClockSource>
      <Title>
        <Default>Select Clock Source:</Default>
        <Locale LCID="0x0407">Verwendete Taktquelle:</Locale>
      </Title>
      <ColName>
        <CommonName>
          <!-- Hint for translators: '%u' is a placeholder for a numeric value, that may not be translated!-->
          <Default>Clock Source (ID %u)</Default>
          <Locale LCID="0x0407">Taktquelle (ID %u)</Locale>
        </CommonName>        
      </ColName>
      <ColIsValid>
        <TextIfTrue>
          <Default>stable</Default>
          <Locale LCID="0x0407">stabil</Locale>
        </TextIfTrue>
        <TextIfFalse>
          <Default>not valid</Default>
          <Locale LCID="0x0407">nicht verfügbar</Locale>
        </TextIfFalse>
      </ColIsValid>
      <ColSampleRate>
        <Unit>          
          <Default>Hz</Default>
          <Locale LCID="0x0407">Hz</Locale>
        </Unit>
      </ColSampleRate>
    </TableClockSource>
  </PageClockSource>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageBufferSettings>
    <!-- Supported values for this page: Hidden, Visible (default) -->
    <Visibility>Visible</Visibility>
    <!-- .................................................................. -->
    <Title>
      <Default>Buffer Settings</Default>
      <Locale LCID="0x0407">Buffereinstellungen</Locale>
    </Title>
    <!-- .................................................................. -->
    <GroupBoxUSB>
      <Title>
        <Default>USB Streaming Mode</Default>
        <Locale LCID="0x0407">USB Buffer</Locale>
      </Title>
      <ComboBoxModeList>
        <EntryMinimumLatency>
          <Default>Minimum Latency</Default>
          <Locale LCID="0x0407">Minimale Latenz</Locale>
        </EntryMinimumLatency>
        <EntryLowLatency>
          <Default>Low Latency</Default>
          <Locale LCID="0x0407">Niedrige Latenz</Locale>
        </EntryLowLatency>
        <EntryStandard>
          <Default>Standard</Default>
          <Locale LCID="0x0407">Standard</Locale>
        </EntryStandard>
        <EntryRelaxed>
          <Default>Relaxed</Default>
          <Locale LCID="0x0407">Stabil</Locale>
        </EntryRelaxed>
        <EntryReliable>
          <Default>Reliable</Default>
          <Locale LCID="0x0407">Zuverlässig</Locale>
        </EntryReliable>
        <EntrySafe>
          <Default>Safe</Default>
          <Locale LCID="0x0407">Sicher</Locale>
        </EntrySafe>
        <EntryExtraSafe>
          <Default>Extra Safe</Default>
          <Locale LCID="0x0407">Extra Sicher</Locale>
        </EntryExtraSafe>
      </ComboBoxModeList>      
    </GroupBoxUSB>
    <!-- .................................................................. -->
    <GroupBoxASIO>
      <Title>
        <Default>Asio Buffer Size</Default>
        <Locale LCID="0x0407">ASIO Buffergröße</Locale>
      </Title>
      <ComboBoxBufferSizeList>
        <BufferSizeAutoMode>
          <Default>Auto</Default>
          <Locale LCID="0x0407">Automatisch</Locale>
        </BufferSizeAutoMode>
        <BufferSizeUnit>
          <Default>samples</Default>
          <Locale LCID="0x0407">Samples</Locale>
        </BufferSizeUnit>
      </ComboBoxBufferSizeList>
      <WarningBufferSizeTooSmall>
        <Default>WARNING: The selected ASIO buffer size is too small for the current USB streaming mode and the current 
        sampling rate. To avoid audio distortions, you should select a larger ASIO buffer size.</Default>
        <Locale LCID="0x0407">
        WARNUNG: Die gewählte ASIO Buffergröße ist zu klein für den aktuellen USB Buffer sowie die
        aktuelle Abtastrate. Um Verzerrungen zu vermeiden, sollten Sie die ASIO Buffergröße erhöhen.</Locale>
      </WarningBufferSizeTooSmall>
    </GroupBoxASIO>
  </PageBufferSettings>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageVolumeControl>
    <!-- Supported values for this page: Hidden, Visible, Auto (default) -->
    <Visibility>Auto</Visibility>
    <!-- .................................................................. -->
    <Title>
      <Default>Volume</Default>
      <Locale LCID="0x0407">Lautstärke</Locale>
    </Title>
    <!-- .................................................................. -->
    <GroupBoxChannels>
      <Title>
        <Default>Channels</Default>
        <Locale LCID="0x0407">Kanäle</Locale>
      </Title>
      <ButtonInput>
        <Default>Input ...</Default>
        <Locale LCID="0x0407">Eingang ...</Locale>
      </ButtonInput>      
      <ButtonOutput>
        <Default>Output ...</Default>
        <Locale LCID="0x0407">Ausgang ...</Locale>
      </ButtonOutput>
    </GroupBoxChannels>
    <!-- .................................................................. -->
    <DialogVolume>
      <TitleInput>        
        <Default>Input Volume</Default>
        <Locale LCID="0x0407">Eingangslautstärke</Locale>
      </TitleInput>
      <TitleOutput>
        <Default>Output Volume</Default>
        <Locale LCID="0x0407">Ausgangslautstärke</Locale>
      </TitleOutput>      
    </DialogVolume>
  </PageVolumeControl>  
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <PageInfo>
    <!-- Supported values for this page: Hidden, Visible (default) -->
    <Visibility>Visible</Visibility>
    <!-- .................................................................. -->
    <Title>      
      <Default>Info</Default>
    </Title>
    <!-- .................................................................. -->
    <TableDeviceInfo>
      <Title>
        <Default>Device Info</Default>
        <Locale LCID="0x0407">Informationen zum Gerät</Locale>
      </Title>
      <RowManufacturer>
        <Title>
          <Default>Manufacturer:</Default>
          <Locale LCID="0x0407">Hersteller:</Locale>
        </Title>
      </RowManufacturer>
      <RowProduct>
        <Title>
          <Default>Product:</Default>
          <Locale LCID="0x0407">Produkt:</Locale>
        </Title>
      </RowProduct>
      <RowVidPid>
        <Title>
          <Default>VID/PID:</Default>
        </Title>
      </RowVidPid>
      <RowRevision>
        <Title>
          <Default>Revision:</Default>
        </Title>
      </RowRevision>
      <RowSerialNo>
        <Title>
          <Default>Serial No:</Default>
          <Locale LCID="0x0407">Seriennummer:</Locale>
        </Title>
      </RowSerialNo>
    </TableDeviceInfo>
    <!-- .................................................................. -->
    <TableDriverInfo>
      <Title>
        <Default>Driver Info</Default>
        <Locale LCID="0x0407">Informationen zum Treiber</Locale>
      </Title>
      <RowVersion>
        <VersionPrefix>
          <Default>Version</Default>
        </VersionPrefix>
      </RowVersion>
      <RowBuildType>
        <Debug>
          <Default>Debug Build</Default>
        </Debug>
        <Release>
          <Default>Release Build</Default>
        </Release>
      </RowBuildType>      
    </TableDriverInfo>    
  </PageInfo>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <ErrorMessage>
    <CommonError>
      <Default>An error has occurred. The internal error description is:</Default>
      <Locale LCID="0x0407">Es ist ein Fehler aufgetreten. Die interne Fehlerbeschreibung lautet:</Locale>      
    </CommonError>
    <DriverApiDllNotFound>
      <Default>The driver DLL required to access the device is missing.</Default>
      <Locale LCID="0x0407">Die DLL für den Zugriff auf den Gerätetreiber ist nicht vorhanden.</Locale>      
    </DriverApiDllNotFound>
    <DriverApiDllNotCompatible>
      <Default>The driver DLL required to access the device is not compatible with this application version.</Default>
      <Locale LCID="0x0407">Die Version der DLL für den Zugriff auf den Gerätetreiber ist nicht kompatibel zu dieser Anwendung.</Locale>      
    </DriverApiDllNotCompatible>
    <DriverApiDllWithoutIni>
      <Default>The configuration file for the driver DLL required to access the device is missing.</Default>
      <Locale LCID="0x0407">Die Konfigurationsdatei der DLL für den Zugriff auf den Gerätetreiber ist nicht vorhanden.</Locale>      
    </DriverApiDllWithoutIni>
    <DriverApiDllWithInvalidIni>
      <Default>The configuration file for the driver DLL required to access the device is invalid.</Default>
      <Locale LCID="0x0407">Die Konfigurationsdatei der DLL für den Zugriff auf den Gerätetreiber ist ungültig.</Locale>      
    </DriverApiDllWithInvalidIni>    
  </ErrorMessage>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
</ControlPanel>
